name = "h Mod"
dependencies = {
	{"exdilin", "0.5.0"}
}

function register(registerType)
	if registerType == "textures" then
		exdilin.register_and_load_texture("h", "h.png", "Normal", "OneSideTo1x1")
	end
end

function init()
	exdilin.load_block_model("h", "h.obj")
end

function pre_init()
	local block = exdilin.new_block({
		id = "h",
		modelName = "h"
	})
	local blockItem = block.default_block_item("h", "unique")
	blockItem.register()
	block.register()

	local alexTextureItem = exdilin.texture_item("h")
	alexTextureItem.register()
end
